"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetAllEventsResponseDto = exports.getAllEventsResponseSchema = void 0;
const event_folder_dto_1 = require("../../event-folder/dto/event-folder.dto");
const event_dto_1 = require("./event.dto");
const create_zod_dto_without_date_1 = require("../../shared/dto-modification/create-zod-dto-without-date");
const zod_1 = __importDefault(require("zod"));
exports.getAllEventsResponseSchema = zod_1.default.object({
    folders: zod_1.default.array(event_folder_dto_1.eventFolderSchema.merge(zod_1.default.object({
        events: zod_1.default.array(event_dto_1.eventSchema.merge(zod_1.default.object({
            supraEvent: event_dto_1.eventSchema.nullable(),
            subEvents: zod_1.default.array(event_dto_1.eventSchema),
        }))),
    }))),
    withoutFolder: zod_1.default.array(event_dto_1.eventSchema.merge(zod_1.default.object({
        supraEvent: event_dto_1.eventSchema.nullable(),
        subEvents: zod_1.default.array(event_dto_1.eventSchema),
    }))),
});
class GetAllEventsResponseDto extends (0, create_zod_dto_without_date_1.createZodDtoWithoutDate)(exports.getAllEventsResponseSchema) {
}
exports.GetAllEventsResponseDto = GetAllEventsResponseDto;
//# sourceMappingURL=get-all-event.dto.js.map