"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CreateCommentResponseDto = exports.createCommentResponseSchema = exports.CreateCommentDto = exports.createCommentSchema = void 0;
const comment_dto_1 = require("./comment.dto");
const create_zod_dto_without_date_1 = require("../../shared/dto-modification/create-zod-dto-without-date");
exports.createCommentSchema = comment_dto_1.commentSchema.pick({
    content: true,
    profileId: true,
    isSolvable: true,
});
class CreateCommentDto extends (0, create_zod_dto_without_date_1.createZodDtoWithoutDate)(exports.createCommentSchema) {
}
exports.CreateCommentDto = CreateCommentDto;
exports.createCommentResponseSchema = comment_dto_1.commentSchema;
class CreateCommentResponseDto extends (0, create_zod_dto_without_date_1.createZodDtoWithoutDate)(exports.createCommentResponseSchema) {
}
exports.CreateCommentResponseDto = CreateCommentResponseDto;
//# sourceMappingURL=create-comment.dto.js.map